summaryrefslogtreecommitdiff
path: root/dev-db/mysql
diff options
context:
space:
mode:
Diffstat (limited to 'dev-db/mysql')
-rw-r--r--dev-db/mysql/files/my.cnf48
-rw-r--r--dev-db/mysql/files/my.cnf-4.0113
-rw-r--r--dev-db/mysql/files/my.cnf-4.1147
-rw-r--r--dev-db/mysql/files/my.cnf-5.1146
-rw-r--r--dev-db/mysql/files/mysql-5.1-gcc45-apicheck.patch28
-rwxr-xr-xdev-db/mysql/files/mysql.init37
-rw-r--r--dev-db/mysql/mysql-5.1.46-r1.ebuild227
7 files changed, 746 insertions, 0 deletions
diff --git a/dev-db/mysql/files/my.cnf b/dev-db/mysql/files/my.cnf
new file mode 100644
index 0000000..4e7d0f6
--- /dev/null
+++ b/dev-db/mysql/files/my.cnf
@@ -0,0 +1,48 @@
+# /etc/mysql/my.cnf: The global mysql configuration file.
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/files/my.cnf,v 1.5 2008/11/14 01:49:37 robbat2 Exp $
+#
+# This file can be simultaneously placed in three places:
+# 1. /etc/mysql/my.cnf to set global options.
+# 2. /var/lib/mysql/my.cnf to set server-specific options.
+# 3. ~/.my.cnf to set user-specific options.
+#
+# One can use all long options that the program supports.
+# Run the program with --help to get a list of them.
+#
+# The following values assume you have at least 32M RAM!
+
+[client]
+#password = my_password
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+
+[safe_mysqld]
+err-log = /var/log/mysql/mysql.err
+
+[mysqld]
+#skip-networking
+skip-innodb
+innodb_file_per_table
+user = mysql
+pid-file = /var/run/mysqld/mysqld.pid
+socket = /var/run/mysqld/mysqld.sock
+port = 3306
+log = /var/log/mysql/mysql.log
+basedir = /usr
+datadir = /var/lib/mysql
+tmpdir = /tmp
+language = /usr/share/mysql/english
+skip-locking
+set-variable = key_buffer=16M
+set-variable = max_allowed_packet=1M
+set-variable = thread_stack=128K
+
+[mysqldump]
+quick
+set-variable = max_allowed_packet=1M
+
+[mysql]
+#no-auto-rehash # faster start of mysql but no tab completition
+
+[isamchk]
+set-variable = key_buffer=16M
diff --git a/dev-db/mysql/files/my.cnf-4.0 b/dev-db/mysql/files/my.cnf-4.0
new file mode 100644
index 0000000..305f7c9
--- /dev/null
+++ b/dev-db/mysql/files/my.cnf-4.0
@@ -0,0 +1,113 @@
+# /etc/mysql/my.cnf: The global mysql configuration file.
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/files/my.cnf-4.0,v 1.2 2008/11/14 02:16:25 robbat2 Exp $
+#
+# This file can be simultaneously placed in three places:
+# 1. /etc/mysql/my.cnf to set global options.
+# 2. /var/lib/mysql/my.cnf to set server-specific options.
+# 3. ~/.my.cnf to set user-specific options.
+#
+# One can use all long options that the program supports.
+# Run the program with --help to get a list of them.
+#
+# The following values assume you have at least 64M RAM!
+
+[client]
+#password = my_password
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+
+[safe_mysqld]
+err-log = /var/log/mysql/mysql.err
+
+[mysqld]
+user = mysql
+pid-file = /var/run/mysqld/mysqld.pid
+socket = /var/run/mysqld/mysqld.sock
+log-error = /var/log/mysql/mysqld.err
+# If set, mysql logs all queries (general query log). This will be deprecated in
+# MySQL 5.0. This logs all queries, even error queries and is slow.
+# log = /var/log/mysql/mysql.log
+#
+# If you really need logging, you'd rather use binary logging. Especially when doing
+# replication. Read file:/usr/share/doc/mysql-*/manual.html.gz#Replication for info.
+# You can use PURGE MASTER LOGS TO '$hostname-bin.010' to get rid of old logs
+# from $hostname-bin.01 up to $hostname-bin.09 while the slave server is
+# running.
+# Before doing that, check which logfile slave curently uses by running
+# mysql> SHOW SLAVE STATUS
+# To list logfiles on master do:
+# mysql> SHOW MASTER LOGS
+# Then use PURGE for those not needed anymore only! Never remove the files
+# manually!
+#
+# Also consult RESET MASTER and RESET SLAVE commands before doing any changes
+# mysql> RESET MASTER - Deletes all binary logs listed in the index
+# file, resetting the binlog index file to be empty.
+# mysql> RESET SLAVE - Makes the slave forget its replication position in
+# the master logs.
+# mysql> SET SQL_LOG_BIN=0 - this turns off logging (execute on MASTER only)
+# mysql> SET SQL_LOG_BIN=1 - this turns on logging (execute on MASTER only)
+#
+# log-bin
+# set-variable = binlog-do-db=non_existant
+# set-variable = binlog-ignore-db=database_name
+#
+# server-id has to unique for each master or slave in your network,
+# lets use the last number from IP address
+# server-id = 207
+basedir = /usr
+datadir = /var/lib/mysql
+tmpdir = /tmp
+language = /usr/share/mysql/english
+skip-locking
+set-variable = key_buffer=16M
+set-variable = max_allowed_packet=1M
+set-variable = thread_stack=128K
+# be secure by default!
+bind-address = 127.0.0.1
+port = 3306
+# this can make it even more secure:
+#skip-networking
+#
+# the following is the InnoDB configuration
+# if you wish to disable innodb instead
+# uncomment just the next line
+#skip-innodb
+#
+# the rest of the innodb config follows:
+# don't eat too much memory, we're trying to be safe on 64Mb boxes
+# you might want to bump this up a bit on boxes with more RAM
+set-variable = innodb_buffer_pool_size=32M
+# this is the default, increase it if you have lots of tables
+set-variable = innodb_additional_mem_pool_size=1M
+#
+# i'd like to use /var/lib/mysql/innodb, but that is seen as a database :-(
+# and upstream wants things to be under /var/lib/mysql/, so that's the route
+# we have to take for the moment
+innodb_data_home_dir = /var/lib/mysql/
+innodb_log_arch_dir = /var/lib/mysql/
+innodb_log_group_home_dir = /var/lib/mysql/
+# you may wish to change this size to be more suitable for your system
+# the max is there to avoid run-away growth on your machine
+innodb_data_file_path = ibdata1:10M:autoextend:max:128M
+# we keep this at around 25% of of innodb_buffer_pool_size
+# sensible values range from 1MB to (1/innodb_log_files_in_group*innodb_buffer_pool_size)
+set-variable = innodb_log_file_size=8M
+# this is the default, increase it if you have very large transactions going on
+set-variable = innodb_log_buffer_size=1M
+# this is the default and won't hurt you
+# you shouldn't need to tweak it
+set-variable = innodb_log_files_in_group=2
+# see the innodb config docs, the other options are not always safe
+innodb_flush_log_at_trx_commit = 1
+innodb_file_per_table
+
+[mysqldump]
+quick
+set-variable = max_allowed_packet=16M
+
+[mysql]
+#no-auto-rehash # faster start of mysql but no tab completion
+
+[isamchk]
+set-variable = key_buffer=16M
diff --git a/dev-db/mysql/files/my.cnf-4.1 b/dev-db/mysql/files/my.cnf-4.1
new file mode 100644
index 0000000..458a58a
--- /dev/null
+++ b/dev-db/mysql/files/my.cnf-4.1
@@ -0,0 +1,147 @@
+# /etc/mysql/my.cnf: The global mysql configuration file.
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/files/my.cnf-4.1,v 1.4 2008/11/14 02:16:25 robbat2 Exp $
+
+# The following options will be passed to all MySQL clients
+[client]
+#password = your_password
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+
+[mysql]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqladmin]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlcheck]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqldump]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlimport]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlshow]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[myisamchk]
+character-sets-dir=/usr/share/mysql/charsets
+
+[myisampack]
+character-sets-dir=/usr/share/mysql/charsets
+
+# use [safe_mysqld] with mysql-3
+[mysqld_safe]
+err-log = /var/log/mysql/mysql.err
+
+# add a section [mysqld-4.1] or [mysqld-5.0] for specific configurations
+[mysqld]
+character-set-server = utf8
+default-character-set = utf8
+user = mysql
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+pid-file = /var/run/mysqld/mysqld.pid
+log-error = /var/log/mysql/mysqld.err
+basedir = /usr
+datadir = @DATADIR@
+skip-locking
+key_buffer = 16M
+max_allowed_packet = 1M
+table_cache = 64
+sort_buffer_size = 512K
+net_buffer_length = 8K
+read_buffer_size = 256K
+read_rnd_buffer_size = 512K
+myisam_sort_buffer_size = 8M
+language = /usr/share/mysql/english
+
+# security:
+# using "localhost" in connects uses sockets by default
+# skip-networking
+bind-address = 127.0.0.1
+
+log-bin
+server-id = 1
+
+# point the following paths to different dedicated disks
+tmpdir = /tmp/
+#log-update = /path-to-dedicated-directory/hostname
+
+# you need the debug USE flag enabled to use the following directives,
+# if needed, uncomment them, start the server and issue
+# #tail -f /tmp/mysqld.sql /tmp/mysqld.trace
+# this will show you *exactly* what's happening in your server ;)
+
+#log = /tmp/mysqld.sql
+#gdb
+#debug = d:t:i:o,/tmp/mysqld.trace
+#one-thread
+
+# uncomment the following directives if you are using BDB tables
+#bdb_cache_size = 4M
+#bdb_max_lock = 10000
+
+# the following is the InnoDB configuration
+# if you wish to disable innodb instead
+# uncomment just the next line
+#skip-innodb
+#
+# the rest of the innodb config follows:
+# don't eat too much memory, we're trying to be safe on 64Mb boxes
+# you might want to bump this up a bit on boxes with more RAM
+innodb_buffer_pool_size = 16M
+# this is the default, increase it if you have lots of tables
+innodb_additional_mem_pool_size = 2M
+#
+# i'd like to use /var/lib/mysql/innodb, but that is seen as a database :-(
+# and upstream wants things to be under /var/lib/mysql/, so that's the route
+# we have to take for the moment
+#innodb_data_home_dir = /var/lib/mysql/
+#innodb_log_arch_dir = /var/lib/mysql/
+#innodb_log_group_home_dir = /var/lib/mysql/
+# you may wish to change this size to be more suitable for your system
+# the max is there to avoid run-away growth on your machine
+innodb_data_file_path = ibdata1:10M:autoextend:max:128M
+# we keep this at around 25% of of innodb_buffer_pool_size
+# sensible values range from 1MB to (1/innodb_log_files_in_group*innodb_buffer_pool_size)
+innodb_log_file_size = 5M
+# this is the default, increase it if you have very large transactions going on
+innodb_log_buffer_size = 8M
+# this is the default and won't hurt you
+# you shouldn't need to tweak it
+set-variable = innodb_log_files_in_group=2
+# see the innodb config docs, the other options are not always safe
+innodb_flush_log_at_trx_commit = 1
+innodb_lock_wait_timeout = 50
+innodb_file_per_table
+
+[mysqldump]
+quick
+max_allowed_packet = 16M
+
+[mysql]
+# uncomment the next directive if you are not familiar with SQL
+#safe-updates
+
+[isamchk]
+key_buffer = 20M
+sort_buffer_size = 20M
+read_buffer = 2M
+write_buffer = 2M
+
+[myisamchk]
+key_buffer = 20M
+sort_buffer_size = 20M
+read_buffer = 2M
+write_buffer = 2M
+
+[mysqlhotcopy]
+interactive-timeout
diff --git a/dev-db/mysql/files/my.cnf-5.1 b/dev-db/mysql/files/my.cnf-5.1
new file mode 100644
index 0000000..5a7e096
--- /dev/null
+++ b/dev-db/mysql/files/my.cnf-5.1
@@ -0,0 +1,146 @@
+# /etc/mysql/my.cnf: The global mysql configuration file.
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/files/my.cnf-5.1,v 1.2 2010/03/24 18:26:09 robbat2 Exp $
+
+# The following options will be passed to all MySQL clients
+[client]
+#password = your_password
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+
+[mysql]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqladmin]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlcheck]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqldump]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlimport]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[mysqlshow]
+character-sets-dir=/usr/share/mysql/charsets
+default-character-set=utf8
+
+[myisamchk]
+character-sets-dir=/usr/share/mysql/charsets
+
+[myisampack]
+character-sets-dir=/usr/share/mysql/charsets
+
+# use [safe_mysqld] with mysql-3
+[mysqld_safe]
+err-log = /var/log/mysql/mysql.err
+
+# add a section [mysqld-4.1] or [mysqld-5.0] for specific configurations
+[mysqld]
+character-set-server = utf8
+user = mysql
+port = 3306
+socket = /var/run/mysqld/mysqld.sock
+pid-file = /var/run/mysqld/mysqld.pid
+log-error = /var/log/mysql/mysqld.err
+basedir = /usr
+datadir = @DATADIR@
+skip-external-locking
+key_buffer = 16M
+max_allowed_packet = 1M
+table_cache = 64
+sort_buffer_size = 512K
+net_buffer_length = 8K
+read_buffer_size = 256K
+read_rnd_buffer_size = 512K
+myisam_sort_buffer_size = 8M
+language = /usr/share/mysql/english
+
+# security:
+# using "localhost" in connects uses sockets by default
+# skip-networking
+bind-address = 127.0.0.1
+
+log-bin
+server-id = 1
+
+# point the following paths to different dedicated disks
+tmpdir = /tmp/
+#log-update = /path-to-dedicated-directory/hostname
+
+# you need the debug USE flag enabled to use the following directives,
+# if needed, uncomment them, start the server and issue
+# #tail -f /tmp/mysqld.sql /tmp/mysqld.trace
+# this will show you *exactly* what's happening in your server ;)
+
+#log = /tmp/mysqld.sql
+#gdb
+#debug = d:t:i:o,/tmp/mysqld.trace
+#one-thread
+
+# uncomment the following directives if you are using BDB tables
+#bdb_cache_size = 4M
+#bdb_max_lock = 10000
+
+# the following is the InnoDB configuration
+# if you wish to disable innodb instead
+# uncomment just the next line
+#skip-innodb
+#
+# the rest of the innodb config follows:
+# don't eat too much memory, we're trying to be safe on 64Mb boxes
+# you might want to bump this up a bit on boxes with more RAM
+innodb_buffer_pool_size = 16M
+# this is the default, increase it if you have lots of tables
+innodb_additional_mem_pool_size = 2M
+#
+# i'd like to use /var/lib/mysql/innodb, but that is seen as a database :-(
+# and upstream wants things to be under /var/lib/mysql/, so that's the route
+# we have to take for the moment
+#innodb_data_home_dir = /var/lib/mysql/
+#innodb_log_arch_dir = /var/lib/mysql/
+#innodb_log_group_home_dir = /var/lib/mysql/
+# you may wish to change this size to be more suitable for your system
+# the max is there to avoid run-away growth on your machine
+innodb_data_file_path = ibdata1:10M:autoextend:max:128M
+# we keep this at around 25% of of innodb_buffer_pool_size
+# sensible values range from 1MB to (1/innodb_log_files_in_group*innodb_buffer_pool_size)
+innodb_log_file_size = 5M
+# this is the default, increase it if you have very large transactions going on
+innodb_log_buffer_size = 8M
+# this is the default and won't hurt you
+# you shouldn't need to tweak it
+innodb_log_files_in_group=2
+# see the innodb config docs, the other options are not always safe
+innodb_flush_log_at_trx_commit = 1
+innodb_lock_wait_timeout = 50
+innodb_file_per_table
+
+[mysqldump]
+quick
+max_allowed_packet = 16M
+
+[mysql]
+# uncomment the next directive if you are not familiar with SQL
+#safe-updates
+
+[isamchk]
+key_buffer = 20M
+sort_buffer_size = 20M
+read_buffer = 2M
+write_buffer = 2M
+
+[myisamchk]
+key_buffer = 20M
+sort_buffer_size = 20M
+read_buffer = 2M
+write_buffer = 2M
+
+[mysqlhotcopy]
+interactive-timeout
diff --git a/dev-db/mysql/files/mysql-5.1-gcc45-apicheck.patch b/dev-db/mysql/files/mysql-5.1-gcc45-apicheck.patch
new file mode 100644
index 0000000..46125c7
--- /dev/null
+++ b/dev-db/mysql/files/mysql-5.1-gcc45-apicheck.patch
@@ -0,0 +1,28 @@
+--- mysql-5.1.45/Makefile.am.orig 2010-03-31 10:52:25.000000000 -0400
++++ mysql-5.1.45/Makefile.am 2010-03-31 10:55:05.000000000 -0400
+@@ -312,24 +312,7 @@
+ $(MAKE) abi_headers="$^" do_abi_check
+
+ do_abi_check:
+- set -ex; \
+- for file in $(abi_headers); do \
+- @CC@ -E -nostdinc -dI \
+- -I$(top_srcdir)/include \
+- -I$(top_srcdir)/include/mysql \
+- -I$(top_srcdir)/sql \
+- -I$(top_builddir)/include \
+- -I$(top_builddir)/include/mysql \
+- -I$(top_builddir)/sql \
+- $$file 2>/dev/null | \
+- @SED@ -e '/^# /d' \
+- -e '/^[ ]*$$/d' \
+- -e '/^#pragma GCC set_debug_pwd/d' \
+- -e '/^#ident/d' > \
+- $(top_builddir)/abi_check.out; \
+- @DIFF@ -w $$file.pp $(top_builddir)/abi_check.out; \
+- @RM@ $(top_builddir)/abi_check.out; \
+- done
++ echo "Skipping do_abi_check"
+
+ # Don't update the files from bitkeeper
+ %::SCCS/s.%
diff --git a/dev-db/mysql/files/mysql.init b/dev-db/mysql/files/mysql.init
new file mode 100755
index 0000000..16ea7bc
--- /dev/null
+++ b/dev-db/mysql/files/mysql.init
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/files/mysql.init,v 1.7 2004/07/14 21:41:15 agriffis Exp $
+
+depend() {
+ need net
+ use dns
+}
+
+checkconfig() {
+ if [ ! -f /etc/mysql/my.cnf ] ; then
+ eerror "No /etc/mysql/my.cnf file exists!"
+ fi
+
+ dir=`my_print_defaults mysqld | grep -- --datadir | sed -e "s|^.*=\(.*\)|\1|"`
+
+ if [ ! -d $dir/mysql ] ; then
+ eerror "You dont appear to have the mysql database installed yet."
+ eerror "Please run /usr/bin/mysql_install_db to have this done..."
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting mysqld"
+ /usr/bin/safe_mysqld >/dev/null 2>&1 &
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping mysqld"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/run/mysqld/mysqld.pid --retry 20
+ eend $?
+}
diff --git a/dev-db/mysql/mysql-5.1.46-r1.ebuild b/dev-db/mysql/mysql-5.1.46-r1.ebuild
new file mode 100644
index 0000000..89e4454
--- /dev/null
+++ b/dev-db/mysql/mysql-5.1.46-r1.ebuild
@@ -0,0 +1,227 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.1.46.ebuild,v 1.1 2010/04/27 05:48:00 robbat2 Exp $
+
+MY_EXTRAS_VER="20100427-0534Z"
+EAPI=2
+
+# PBXT
+PBXT_VERSION='1.0.10-rc'
+# XtraDB
+PERCONA_VER='5.1.45-10' XTRADB_VER='1.0.6-10'
+
+inherit toolchain-funcs mysql
+# only to make repoman happy. it is really set in the eclass
+IUSE="$IUSE"
+
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-solaris"
+
+# When MY_EXTRAS is bumped, the index should be revised to exclude these.
+# This is often broken still
+EPATCH_EXCLUDE='02040_all_embedded-library-shared-5.1.43.patch '
+
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
+RDEPEND="!media-sound/amarok[embedded]"
+
+# Please do not add a naive src_unpack to this ebuild
+# If you want to add a single patch, copy the ebuild to an overlay
+# and create your own mysql-extras tarball, looking at 000_index.txt
+
+# Official test instructions:
+# USE='berkdb -cluster embedded extraengine perl ssl community' \
+# FEATURES='test userpriv -usersandbox' \
+# ebuild mysql-X.X.XX.ebuild \
+# digest clean package
+
+src_prepare() {
+ epatch ${FILESDIR}/mysql-5.1-gcc45-apicheck.patch
+}
+
+src_test() {
+ # Bug #213475 - MySQL _will_ object strenously if your machine is named
+ # localhost. Also causes weird failures.
+ [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
+
+ emake check || die "make check failed"
+ if ! use "minimal" ; then
+ if [[ $UID -eq 0 ]]; then
+ die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
+ fi
+ has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+ cd "${S}"
+ einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
+ local retstatus_unit
+ local retstatus_ns
+ local retstatus_ps
+ local t
+ addpredict /this-dir-does-not-exist/t9.MYI
+
+ # Ensure that parallel runs don't die
+ export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
+
+ # archive_gis really sucks a lot, but it's only relevant for the
+ # USE=extraengines case
+ case ${PV} in
+ 5.0.42)
+ mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
+ ;;
+
+ 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
+ [ "$(tc-endian)" == "big" ] && \
+ mysql_disable_test \
+ "archive_gis" \
+ "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
+ ;;
+ esac
+
+ # This was a slight testcase breakage when the read_only security issue
+ # was fixed.
+ case ${PV} in
+ 5.0.54|5.0.51*)
+ mysql_disable_test \
+ "read_only" \
+ "Broken in 5.0.51-54, output in wrong order"
+ ;;
+ esac
+
+ # Ditto to read_only
+ [ "${PV}" == "5.0.51a" ] && \
+ mysql_disable_test \
+ "view" \
+ "Broken in 5.0.51, output in wrong order"
+
+ # x86-specific, OOM issue with some subselects on low memory servers
+ [ "${PV}" == "5.0.54" ] && \
+ [ "${ARCH/x86}" != "${ARCH}" ] && \
+ mysql_disable_test \
+ "subselect" \
+ "Testcase needs tuning on x86 for oom condition"
+
+ # Broke with the YaSSL security issue that didn't affect Gentoo.
+ [ "${PV}" == "5.0.56" ] && \
+ for t in openssl_1 rpl_openssl rpl_ssl ssl \
+ ssl_8k_key ssl_compress ssl_connect ; do \
+ mysql_disable_test \
+ "$t" \
+ "OpenSSL tests broken on 5.0.56"
+ done
+
+ # New test was broken in first time
+ # Upstream bug 41066
+ # http://bugs.mysql.com/bug.php?id=41066
+ [ "${PV}" == "5.0.72" ] && \
+ mysql_disable_test \
+ "status2" \
+ "Broken in 5.0.72, new test is broken, upstream bug #41066"
+
+ # The entire 5.0 series has pre-generated SSL certificates, they have
+ # mostly expired now. ${S}/mysql-tests/std-data/*.pem
+ # The certs really SHOULD be generated for the tests, so that they are
+ # not expiring like this. We cannot do so ourselves as the tests look
+ # closely as the cert path data, and we do not have the CA key to regen
+ # ourselves. Alternatively, upstream should generate them with at least
+ # 50-year validity.
+ #
+ # Known expiry points:
+ # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
+ # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
+ # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
+ #
+ # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
+ # expired/invalid.
+ case ${PV} in
+ 5.0.*|5.1.*|5.4.*|5.5.*)
+ for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
+ ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
+ mysql_disable_test \
+ "$t" \
+ "These OpenSSL tests break due to expired certificates"
+ done
+ ;;
+ esac
+
+ # These are also failing in MySQL 5.1 for now, and are believed to be
+ # false positives:
+ #
+ # main.mysql_comment, main.mysql_upgrade, main.information_schema,
+ # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
+ # fails due to USE=-latin1 / utf8 default
+ #
+ # main.mysql_client_test:
+ # segfaults at random under Portage only, suspect resource limits.
+ #
+ # main.not_partition:
+ # Failure reason unknown at this time, must resolve before package.mask
+ # removal FIXME
+ case ${PV} in
+ 5.1.*|5.4.*|5.5.*)
+ for t in main.mysql_client_test main.mysql_comments \
+ main.mysql_upgrade \
+ main.information_schema \
+ main.not_partition funcs_1.is_columns_mysql \
+ funcs_1.is_tables_mysql funcs_1.is_triggers; do
+ mysql_disable_test "$t" "False positives in Gentoo"
+ done
+ ;;
+ esac
+
+ use profiling && use community \
+ || mysql_disable_test main.profiling \
+ "Profiling test needs profiling support"
+
+ if [ "${PN}" == "mariadb" ]; then
+ for t in \
+ parts.part_supported_sql_func_ndb \
+ parts.partition_auto_increment_ndb ; do
+ mysql_disable_test $t "ndb not supported in mariadb"
+ done
+ fi
+
+ # This fail with XtraDB in place of normal InnoDB
+ # TODO: test if they are broken with the rest of the Percona patches
+ if xtradb_patch_available && use xtradb ; then
+ for t in main.innodb innodb.innodb_bug51378 \
+ main.information_schema_db main.mysqlshow \
+ main.innodb-autoinc main.innodb_bug21704 \
+ main.innodb_bug44369 main.innodb_bug46000 \
+ main.index_merge_innodb ; do
+ mysql_disable_test $t "tests broken in xtradb"
+ done
+ fi
+
+ # create directories because mysqladmin might make out of order
+ mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
+
+ # We run the test protocols seperately
+ emake test-unit
+ retstatus_unit=$?
+ [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
+
+ emake test-ns force="--force --vardir=${S}/mysql-test/var-ns"
+ retstatus_ns=$?
+ [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
+ has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+ emake test-ps force="--force --vardir=${S}/mysql-test/var-ps"
+ retstatus_ps=$?
+ [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
+ has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+
+ # TODO:
+ # When upstream enables the pr and nr testsuites, we need those as well.
+
+ # Cleanup is important for these testcases.
+ pkill -9 -f "${S}/ndb" 2>/dev/null
+ pkill -9 -f "${S}/sql" 2>/dev/null
+ failures=""
+ [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
+ [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
+ [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
+ has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
+ [[ -z "$failures" ]] || die "Test failures: $failures"
+ einfo "Tests successfully completed"
+ else
+ einfo "Skipping server tests due to minimal build."
+ fi
+}